libncurses.so is not an ELF file

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

libncurses.so is not an ELF file

Hartmut Rosch
hello,

when I do, just this morning, a "zypper dup --no-allow-vendor-change
--no-recommends" I get nearly 100 times the following additional output.
This is only the last line of several other Packages.

(404/424) Installieren: pim-sieve-editor-17.08.1-1.1.x86_64
........................................................................................[fertig]
Zusätzliche rpm-Ausgabe:
/sbin/ldconfig: /usr/lib64/libncurses.so is not an ELF file - it has the
wrong magic bytes at the start.

/sbin/ldconfig: /usr/lib64/libncurses.so is not an ELF file - it has the
wrong magic bytes at the start.

I looked into that file and it starts with:

"
hardscroll.o:
                 U _GLOBAL_OFFSET_TABLE_
                 U _nc_doalloc
                 U _nc_hash_map_sp
0000000000000000 B _nc_oldnums
                 U _nc_scrolln_sp
0000000000000210 T _nc_scroll_optimize
0000000000000000 T _nc_scroll_optimize_sp
                 U SP
..."

This is clearly not a libaray-file. It didn't bother me very much but
this messages are annoying. What should I do? Oh I reinstalled (forces)
the libncurses package, but that does not help.

--
cheers

Hartmut Rosch

Delmenhorst
-----------

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: libncurses.so is not an ELF file

Jiri Slaby-6
On 09/15/2017, 10:23 AM, Hartmut Rosch wrote:

> hello,
>
> when I do, just this morning, a "zypper dup --no-allow-vendor-change
> --no-recommends" I get nearly 100 times the following additional output.
> This is only the last line of several other Packages.
>
> (404/424) Installieren: pim-sieve-editor-17.08.1-1.1.x86_64
> ........................................................................................[fertig]
> Zusätzliche rpm-Ausgabe:
> /sbin/ldconfig: /usr/lib64/libncurses.so is not an ELF file - it has the
> wrong magic bytes at the start.

What does this return?
rpm -Vqf /usr/lib64/libncurses.so

regards,
--
js
suse labs
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: libncurses.so is not an ELF file

Jan Engelhardt-4
On Friday 2017-09-15 10:51, Jiri Slaby wrote:

>On 09/15/2017, 10:23 AM, Hartmut Rosch wrote:
>> hello,
>>
>> when I do, just this morning, a "zypper dup --no-allow-vendor-change
>> --no-recommends" I get nearly 100 times the following additional output.
>> This is only the last line of several other Packages.
>>
>> (404/424) Installieren: pim-sieve-editor-17.08.1-1.1.x86_64
>> ........................................................................................[fertig]
>> Zusätzliche rpm-Ausgabe:
>> /sbin/ldconfig: /usr/lib64/libncurses.so is not an ELF file - it has the
>> wrong magic bytes at the start.
>
>What does this return?
>rpm -Vqf /usr/lib64/libncurses.so

It is decidedly a linker script so that gcc -lncurses implies -ltinfo.
Yes, the joys of backward compat :-/
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: libncurses.so is not an ELF file

Werner Flamme
In reply to this post by Hartmut Rosch
Hartmut Rosch [15.09.2017 10:23]:

> hello,
>
> when I do, just this morning, a "zypper dup --no-allow-vendor-change
> --no-recommends" I get nearly 100 times the following additional output.
> This is only the last line of several other Packages.
>
> (404/424) Installieren: pim-sieve-editor-17.08.1-1.1.x86_64
> ........................................................................................[fertig]
> Zusätzliche rpm-Ausgabe:
> /sbin/ldconfig: /usr/lib64/libncurses.so is not an ELF file - it has the
> wrong magic bytes at the start.
# file /usr/lib64/libncurses.so
/usr/lib64/libncurses.so: ASCII text

This is from SLES 12 SP2, but it is always my first thing to do when I
get those messages from ldconfig.

Werner

--



smime.p7s (7K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: libncurses.so is not an ELF file

Dr. Werner Fink
On Fri, Sep 15, 2017 at 11:22:49AM +0200, Werner Flamme wrote:

> Hartmut Rosch [15.09.2017 10:23]:
> > hello,
> >
> > when I do, just this morning, a "zypper dup --no-allow-vendor-change
> > --no-recommends" I get nearly 100 times the following additional output.
> > This is only the last line of several other Packages.
> >
> > (404/424) Installieren: pim-sieve-editor-17.08.1-1.1.x86_64
> > ........................................................................................[fertig]
> > Zusätzliche rpm-Ausgabe:
> > /sbin/ldconfig: /usr/lib64/libncurses.so is not an ELF file - it has the
> > wrong magic bytes at the start.
>
> # file /usr/lib64/libncurses.so
> /usr/lib64/libncurses.so: ASCII text
>
> This is from SLES 12 SP2, but it is always my first thing to do when I
> get those messages from ldconfig.
Hmmm ... I've installed ncurses-devel

  rpm -qf /usr/lib64/libncurses.so
  ncurses-devel-5.9-55.6.1.x86_64

and doing

  ldconfig

shows no message ... what does the spec file of pim-sieve-editor do here?
Linker scripts are valid solutions and very handy.

Werner

--
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr

signature.asc (898 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: libncurses.so is not an ELF file

Hartmut Rosch
In reply to this post by Jiri Slaby-6
hi,

it returns: S.5....T.    /usr/lib64/libncurses.so

Grüße

Hartmut Rosch

Delmenhorst
-----------

Am 15.09.2017 um 10:51 schrieb Jiri Slaby:

> On 09/15/2017, 10:23 AM, Hartmut Rosch wrote:
>> hello,
>>
>> when I do, just this morning, a "zypper dup --no-allow-vendor-change
>> --no-recommends" I get nearly 100 times the following additional output.
>> This is only the last line of several other Packages.
>>
>> (404/424) Installieren: pim-sieve-editor-17.08.1-1.1.x86_64
>> ........................................................................................[fertig]
>> Zusätzliche rpm-Ausgabe:
>> /sbin/ldconfig: /usr/lib64/libncurses.so is not an ELF file - it has the
>> wrong magic bytes at the start.
> What does this return?
> rpm -Vqf /usr/lib64/libncurses.so
>
> regards,

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: libncurses.so is not an ELF file

Jiri Slaby-6
On 09/15/2017, 03:08 PM, Hartmut Rosch wrote:
> hi,
>
> it returns: S.5....T.    /usr/lib64/libncurses.so

Which means, that you should reinstall ncurses-devel as the file got
corrupted.

--
js
suse labs
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: libncurses.so is not an ELF file

Markus Koßmann-3
In reply to this post by Hartmut Rosch
Am Freitag, 15. September 2017, 10:23:19 schrieb Hartmut Rosch:

> hello,
>
> when I do, just this morning, a "zypper dup --no-allow-vendor-change
> --no-recommends" I get nearly 100 times the following additional output.
> This is only the last line of several other Packages.
>
> (404/424) Installieren: pim-sieve-editor-17.08.1-1.1.x86_64
> ............................................................................
> ............[fertig] Zusätzliche rpm-Ausgabe:
> /sbin/ldconfig: /usr/lib64/libncurses.so is not an ELF file - it has the
> wrong magic bytes at the start.
>
 /usr/lib64/libncurses.so isn't  an ELF file but should be  a linkerscript.
Does it miss the leading comment as explained in
 <http://devel.fedoraproject.narkive.com/tVmi6KvD/how-to-package-so-linker-scripts>  ?

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: libncurses.so is not an ELF file

Hartmut Rosch
In reply to this post by Jiri Slaby-6
thanks,

I installed ncurses-devel and the messages are gone.

Grüße

Hartmut

Delmenhorst
-----------

Am 15.09.2017 um 15:19 schrieb Jiri Slaby:
> On 09/15/2017, 03:08 PM, Hartmut Rosch wrote:
>> hi,
>>
>> it returns: S.5....T.    /usr/lib64/libncurses.so
> Which means, that you should reinstall ncurses-devel as the file got
> corrupted.
>

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]